Bug 45848 - can't compile drivers/net/ppp_generic.c as a module
can't compile drivers/net/ppp_generic.c as a module
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-25 13:38 EDT by ronghua
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 10:01:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of gcc and preprocessing output of ppp_generic.c (4.86 KB, patch)
2001-06-25 13:44 EDT, ronghua
no flags Details | Diff
output of gcc and preprocessing output of ppp_generic.c (4.86 KB, patch)
2001-06-25 13:44 EDT, ronghua
no flags Details | Diff

  None (edit)
Description ronghua 2001-06-25 13:38:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; 0.7) Gecko/20010316

Description of problem:
when I invoke command make modules, gcc report when compiling
driver/ppp_generic.c

How reproducible:
Always

Steps to Reproduce:
1.make config and enable ppp support as a module
2.make dep
3.make bzImage
4.make modules
	

Actual Results:  gcc report error

Additional info:
Comment 1 ronghua 2001-06-25 13:44:31 EDT
Created attachment 21766 [details]
output of gcc and preprocessing output of ppp_generic.c
Comment 2 ronghua 2001-06-25 13:44:37 EDT
Created attachment 21767 [details]
output of gcc and preprocessing output of ppp_generic.c
Comment 3 Arjan van de Ven 2001-06-25 13:48:16 EDT
You should do a "make mrproper" as first command.
The kernel-source RPM is set up in such a way that you can compile external 
modules against it for all kernels we ship; however you need to run make
mrproper to start building your own config.
(the same is true in the "official" 2.4 kernel if you switch from SMP to non-SMP
or some other changes. The kernel dependency system has a few flaws in this
area)

Note You need to log in before you can comment on or make changes to this bug.